routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Home
Route::get('/home/{pole}', 'HomeController@index')->name('home');
Route::get('/', 'HomeController@index');

//Auth
Auth::routes();

//Support
Route::get('/support/consultation', 'SupportController@visu')->name('support.visu');
Route::resource('support', 'SupportController', ['except' => ['index', 'destroy']]);

//administration utilisateurs
Route::get('/administration/consultation', 'AdminController@index')->name('administration.index');
Route::resource('administration', 'AdminController', ['except' => ['index']]);


Route::resource('note', 'NoteController');

Route::get('/note/download/{note}', 'NoteController@downloadFile')->name('note.download');
Route::get('/administration/password/{nom}/edit', 'AdminController@editPassword')->name('administration.editPassword');
Route::put('/administration/password/{id}', 'AdminController@updatePassword')->name('administration.updatePassword');

app/note.php
<?php

namespace mfgs;

use Illuminate\Database\Eloquent\Model;

class note extends Model
{
    protected $fillable = ['titre', 'datePublication', 'path'];
	public $timestamps =false;

    public function droits()
    {
    	return $this->belongsToMany('mfgs\droit');
    }
}

app/Http/Controllers/NoteController.php
<?php

namespace mfgs\Http\Controllers;

use Illuminate\Http\Request;
use mfgs\Http\Requests\NoteRequest;
use mfgs\{droit,note};
use Carbon\Carbon;
use Illuminate\Support\Facades\{Auth,Storage};


class NoteController extends Controller
{
    public function __construct()
    {
        //$this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $notes = getNotes();
        return view('note.index',compact('notes'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $serviceLibelle = droit::all()->unique('libelle')->reject(function ($value){
            return $value->id==18||$value->id==1;
        });

        return view('note.create',['libelles' =>$serviceLibelle]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(NoteRequest $request)
    {
        // nomNorm : remplace tous les espace par des tirets et supprime tous les accents, majuscule etc...
        // puis ajoute l'extension .pdf
        $nom = nomNorm($request);

        $path =$request->file('note')->storeAs('notes',$nom);

        $note = note::create(['titre' => $request->titre, 'path' => $path, 'datePublication' => Carbon::now()->format('d-m-Y')]);

        return noteAttach($request);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $note = note::findOrFail($id);

        return Response()->file(storage_path("app/public/".$note->path));
    }

    /**
     * Download the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function downloadFile($id){
        $note = note::findOrFail($id);

        return Response()->download(storage_path("app/public/".$note->path));
    }
}

resources/views/note/create.blade.php
@extends('layouts.master')

@section('content')
<div class="card">
	<div class="card-header bg-danger text-white text-center">
		<strong class="text-uppercase">Ajouter une note</strong>
	</div>
	<div class="card-body">
		<form action="{{route('note.store')}}" method="POST" enctype="multipart/form-data">
			@csrf
			<div class="form-row">
				<div class="form-group col border-right mr-4 pr-4">
					<fieldset>
						<legend>Note</legend>
						<label for="titre">Titre*</label>
						<input type="text" name="titre" id="titre" class="form-control">
						<small class="text-danger">{{$errors->first('titre')}}</small>
						<div class="input-group mt-5">
							<input type="file" class="form-control-file" id="inputGroupFile01" name="note">
							<label for="inputGroupFile01">Choisir un fichier *.pdf uniquement</label>
						</div>
						<small class="text-danger">{{$errors->first('note')}}</small>
					</fieldset>
				</div>
				<div class="custom-checkbox col">
					<fieldset>
						<legend>Services</legend>
						<div class="form-group custom-control custom-control-inline">
							<input class="custom-control-input" type="checkbox" id="info" name="info" >
							<label class="custom-control-label ml-2" for="info">
								Informatique
							</label>
						</div>
						@foreach($libelles as $libelle)
						<div class="form-group custom-control custom-control-inline">
							<input class="custom-control-input" type="checkbox" id="{{$libelle->libelle}}" name="{{$libelle->id}}" >
							<label class="custom-control-label ml-2" for="{{$libelle->libelle}}">
								{{$libelle->libelle}}
							</label>
						</div>
						@endforeach
						<div class="form-group custom-control custom-control-inline">
							<input class="custom-control-input" type="checkbox" id="tout" name="tout" >
							<label class="custom-control-label ml-2" for="tout">
								Tout le monde
							</label>
						</div>
					</fieldset>
					<fieldset class="mt-4">
						<legend>Autre</legend>
						<div class="form-group custom-control custom-control-inline mt-2">
							<div class="custom-checkbox">
								<input class="custom-control-input" type="checkbox" id="cadre" name="cadre" >
								<label class="custom-control-label ml-2" for="cadre">
									Cadre
								</label>
							</div>
						</div>
					</fieldset>
				</div>
			</div>
			<div class="form-row mt-4 text-center">
				<div class="form-group col">
					<button type="submit" class="btn btn-danger">Envoyer</button>
				</div>
			</div>
		</form>
	</div>
</div>
@stop

resources/views/note/index.blade.php
@extends('layouts.master')

@section('content')
<div class="card">
	<div class="card-header bg-danger text-white text-center font-weight-bold">
		Notes
	</div>
	<div class="card-body">
		<table class="table table-striped">
			<thead class="text-center">
				<tr class="text-danger">
					<th scope="col-lg-1">ID</th>
					<th scope="col-lg-6">Titre</th>
					<th scope="col-lg-3">Date publication</th>
					<th scope="col-lg-1">Visualiser</th>
					<th scope="col-lg-1">Télécharger</th>
				</tr>
			</thead>
			<tbody class="text-center">
				@forelse($notes as $note)
				<tr>
					<td class="col-lg-1">
						{{$note->id}}
					</td>
					<td class="col-lg-6 text-left">
						{{$note->titre}}
					</td>
					<td class="col-lg-3">
						{{$note->datePublication}}
					</td>
					<td class="col-lg-1">
						<a href="{{route('note.show', $note->id)}}" target='_blank'><img src="{{asset('img/visu.ico')}}"></a>
					</td>
					<td class="col-lg-1">
						<a href="{{route('note.download', $note->id)}}" target='_blank'><img src="{{asset('img/download.ico')}}"></a>
					</td>
				</tr>
				@empty
				<p>Pas de note disponible</p>
				@endforelse
			</tbody>
		</table>
	</div>
</div>
@stop